Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033201
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2016-06-09 09:432017-08-09 14:23
ReporteraaroncaleroView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR17Q4
StatusclosedFix in branchFixed in SCM revision617d8629433d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033201: Pack discounts are not correctly applied when combined with manual promotions

DescriptionWhen the same line in web pos combines two packs and a manual discount, packs are not correctly applied and one of the packs is missing.
Steps To ReproduceLogin in web pos (e.g. https://livebuilds.openbravo.com/retail_pi_pgsql/web/org.openbravo.retail.posterminal/?terminal=VBS-1 [^]) and create a new ticket.
Add a Down sleeping bag 500
Go to the Menu > Receipt Discounts and add a 5% discount to the line.
Add a Camping Pack. Now the first line has 2 discounts applied, a 5% discount and the pack discount.
Add a Camping Pack Plus.
Verify that the Camping Pack discount has disappeared from the first line.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098106)
hgbot (developer)
2017-07-17 21:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 617d8629433d7c7361d248a7e504d82a8cded392
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Jun 12 16:35:27 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/617d8629433d7c7361d248a7e504d82a8cded392 [^]

Fixed issue 33201: Pack discounts are not correctly applied when combined with
manual promotions

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0098109)
hgbot (developer)
2017-07-17 22:00

Repository: tools/automation/pi-mobile
Changeset: e13e3b9bb1fcf7a18be4ad822519957ee2dfe12d
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed Jun 14 15:14:17 2017 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/e13e3b9bb1fcf7a18be4ad822519957ee2dfe12d [^]

Verifies issue 33201: Pack discounts are not correctly applied when combined
with manual promotions

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I33201_VerifyPackCombinedWithManualPromotions.java
---
(0098455)
jorge-garcia (developer)
2017-08-09 14:23

Reviewed and tested

- Issue History
Date Modified Username Field Change
2016-06-09 09:43 aaroncalero New Issue
2016-06-09 09:43 aaroncalero Assigned To => Retail
2016-06-09 09:43 aaroncalero Triggers an Emergency Pack => No
2016-06-09 10:20 marvintm Status new => acknowledged
2016-08-12 12:45 migueldejuana Assigned To Retail => jorge-garcia
2016-09-26 10:37 shivum039 Assigned To jorge-garcia => shivum039
2016-09-26 10:37 shivum039 Status acknowledged => scheduled
2016-09-27 11:37 jorge-garcia Assigned To shivum039 => Retail
2016-12-22 09:55 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-01-04 06:54 ranjith_qualiantech_com Assigned To ranjith_qualiantech_com => Retail
2017-01-04 06:54 ranjith_qualiantech_com Status scheduled => acknowledged
2017-06-07 16:17 rqueralta Assigned To Retail => rqueralta
2017-06-07 16:19 rqueralta Status acknowledged => scheduled
2017-07-17 21:47 hgbot Checkin
2017-07-17 21:47 hgbot Note Added: 0098106
2017-07-17 21:47 hgbot Status scheduled => resolved
2017-07-17 21:47 hgbot Resolution open => fixed
2017-07-17 21:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/617d8629433d7c7361d248a7e504d82a8cded392 [^]
2017-07-17 22:00 hgbot Checkin
2017-07-17 22:00 hgbot Note Added: 0098109
2017-08-09 12:37 jorge-garcia Review Assigned To => jorge-garcia
2017-08-09 14:23 jorge-garcia Note Added: 0098455
2017-08-09 14:23 jorge-garcia Status resolved => closed
2017-08-09 14:23 jorge-garcia Fixed in Version => RR17Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker